DockMapPanel (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui
Class DockMapPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.bbn.openmap.gui.OMComponentPanel
                          com.bbn.openmap.gui.BasicMapPanel
                              com.bbn.openmap.gui.DockMapPanel

All Implemented Interfaces:
  DockPanel, MapPanel, LightMapHandlerChild, PropertyConsumer, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class DockMapPanel

extends BasicMapPanel
implements DockPanel

The DockMapPanel is a MapPanel that uses a DockPanel for its layout.

Like BasicMapPanel, the Panel creates a MapBean for its center area. It creates a MapHandler to use to hold all of its OpenMap components, and uses the PropertyHandler given to it in its constructor to create and configure all of the application components. The best way to add components to the MapPanel is to get the MapHandler from it and add the component to that. The DockMapPanel also adds itself to its MapHandler

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected BasicDockPanel` | `dockPanel`

Fields inherited from class com.bbn.openmap.gui.BasicMapPanel
`logger, mapBean, mapHandler, menuList, propertyHandler, SET_NAME_PROPERTY, setName`

Fields inherited from class com.bbn.openmap.gui.OMComponentPanel
`beanContextChildSupport, i18n, isolated, orientation, propertyPrefix, windowSupport`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface com.bbn.openmap.gui.dock.DockPanel
`BACKGROUND`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DockMapPanel()` Create a MapPanel that creates its own PropertyHandler, which will then search the classpath, config directory and user home directory for the openmap.properties file to configure components for the MapPanel.
`DockMapPanel(boolean delayCreation)` Create a MapPanel with the option of delaying the search for properties until the `create()` call is made.
`DockMapPanel(PropertyHandler propertyHandler)` Create a MapPanel that configures itself with the properties contained in the PropertyHandler provided.
`DockMapPanel(PropertyHandler propertyHandler, boolean delayCreation)` Create a MapPanel that configures itself with properties contained in the PropertyHandler provided, and with the option of delaying the search for properties until the `create()` call is made.

Method Summary
`java.awt.Component` | `add(java.awt.Component comp)` We need to handle adding the component specially.
`void` | `add(java.awt.Component comp, java.lang.Object constraints)` We need to handle adding the component specially.
`protected void` | `addMapBeanToPanel(MapBean map)` Position the map bean in this panel according to the layout manger.
`protected void` | `addMapPanelChild(MapPanelChild mpc)` Add a child to the MapPanel.
`protected void` | `createComponents()` The constructor calls this method that creates the MapHandler and MapBean, and then tells the PropertyHandler to create the components described in its properties.
`protected java.awt.LayoutManager` | `createLayoutManager()` The constructor calls this method that sets the LayoutManager for this MapPanel.
`void` | `dock(javax.swing.JComponent outter, javax.swing.JComponent inner)` Dock the given child onto the given parent, which is itself a child.
`void` | `dock(javax.swing.JComponent outter, javax.swing.JComponent inner, int idx)` Dock the given child onto the given parent, which is itself a child.
`void` | `dockEast(javax.swing.JComponent child)` Dock child on the DockPanel.
`void` | `dockEast(javax.swing.JComponent child, int idx)` Dock the given child into the given position on the DockPanel
`void` | `dockNorth(javax.swing.JComponent child)` Dock child on the DockPanel.
`void` | `dockNorth(javax.swing.JComponent child, int idx)` Dock the given child into the given position on the DockPanel
`void` | `dockSomewhere(javax.swing.JComponent child)` Dock the given child somewhere on the DockPanel.
`void` | `dockSouth(javax.swing.JComponent child)` Dock child on the DockPanel.
`void` | `dockSouth(javax.swing.JComponent child, int idx)` Dock the given child into the given position on the DockPanel
`void` | `dockWest(javax.swing.JComponent child)` Dock child on the DockPanel.
`void` | `dockWest(javax.swing.JComponent child, int idx)` Dock the given child into the given position on the DockPanel
`void` | `externalFrame(javax.swing.JComponent child)` Set the component to an external frame
`javax.swing.JComponent` | `getBackgroundComponent()` Get the background component.
`DockConstraint` | `getConstraint(javax.swing.JComponent child)` Get the constraint on the given child.
`void` | `internalFrame(javax.swing.JComponent child)` Set the component to an internal frame
`void` | `remove(java.awt.Component comp)` We need to handle removing the component specially.
`void` | `removeAll()` We need to handle removing all components specially.
`void` | `removeConstraint(javax.swing.JComponent child)` Remove a constraint on a child.
`void` | `setBackgroundComponent(javax.swing.JComponent back)` Set the background component.
`void` | `setCanClose(javax.swing.JComponent child, boolean b)` Set that the child can be closed.
`void` | `setCanDockEast(javax.swing.JComponent child, boolean b)` Set that the child can dock on the top-level east.
`void` | `setCanDockNorth(javax.swing.JComponent child, boolean b)` Set that the child can dock on the top-level north.
`void` | `setCanDockSouth(javax.swing.JComponent child, boolean b)` Set that the child can dock on the top-level south.
`void` | `setCanDockWest(javax.swing.JComponent child, boolean b)` Set that the child can dock on the top-level west.
`void` | `setCanExternalFrame(javax.swing.JComponent child, boolean b)` Set that the child can be become an external frame.
`void` | `setCanInternalFrame(javax.swing.JComponent child, boolean b)` Set that the child can be become an internal frame.
`void` | `setCanOcclude(javax.swing.JComponent child, boolean b)` Set that the given child can sit in front of the background component, without forcing the background component to be resized to make room.
`void` | `setCanResize(javax.swing.JComponent child, boolean b)` Set that the child component can be user-resized.
`void` | `setCanTab(javax.swing.JComponent child, boolean b)` Set that the child component can be tabbed up, if docked in the same location as other tab-able components.
`void` | `setCanTransparent(javax.swing.JComponent child, boolean b)` Set the child component to have a transparent background.
`void` | `setConstraint(javax.swing.JComponent child, DockConstraint c)` Set the constraint on the given child.
`void` | `setPreferredHeight(javax.swing.JComponent child, int i)` Set the childs preferred height.
`void` | `setPreferredWidth(javax.swing.JComponent child, int i)` Set the childs preferred width.
`void` | `setTabName(javax.swing.JComponent child, java.lang.String tabName)` Set the name of the tab to use when the component is tabbed (if it can tab).

Methods inherited from class com.bbn.openmap.gui.BasicMapPanel
`addMapComponent, addProperties, addProperties, addProperties, addProperty, appendProperty, appendProperty, create, createMapBean, createMapBean, dispose, findAndInit, findAndUndo, getMapBean, getMapComponent, getMapComponentByType, getMapComponentsByType, getMapHandler, getMapMenu, getMapMenuBar, getProperties, getPropertyHandler, isSetName, prependProperty, prependProperty, removeMapComponent, removeMarker, removeProperty, setMapBean, setProperties, setPropertyHandler, setSetName`

Methods inherited from class com.bbn.openmap.gui.OMComponentPanel
`addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, fireVetoableChange, getBeanContext, getOrientation, getProperties, getPropertyInfo, getPropertyPrefix, getWindowSupport, isIsolated, removeVetoableChangeListener, setBeanContext, setIsolated, setOrientation, setProperties, setPropertyPrefix, setWindowSupport`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.beans.beancontext.BeanContextChild
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### dockPanel

    protected BasicDockPanel dockPanel

Constructor Detail

### DockMapPanel

    public DockMapPanel()

  Create a MapPanel that creates its own PropertyHandler, which will then search the classpath, config directory and user home directory for the openmap.properties file to configure components for the MapPanel.

### DockMapPanel

    public DockMapPanel(boolean delayCreation)

  Create a MapPanel with the option of delaying the search for properties until the `create()` call is made.

  Parameters:
    `delayCreation` - true to let the MapPanel know that the artful programmer will call `create()`

### DockMapPanel

    public DockMapPanel(PropertyHandler propertyHandler)

  Create a MapPanel that configures itself with the properties contained in the PropertyHandler provided. If the PropertyHandler is null, a new one will be created.

### DockMapPanel

    public DockMapPanel(PropertyHandler propertyHandler,
                        boolean delayCreation)

  Create a MapPanel that configures itself with properties contained in the PropertyHandler provided, and with the option of delaying the search for properties until the `create()` call is made.

  Parameters:
    `delayCreation` - true to let the MapPanel know that the artful programmer will call `create()`

Method Detail

### createLayoutManager

    protected final java.awt.LayoutManager createLayoutManager()

  Description copied from class: `BasicMapPanel`
  The constructor calls this method that sets the LayoutManager for this MapPanel. It returns a BorderLayout by default, but this method can be overridden to change how the MapPanel places components. If you change what this method returns, you should also change how components are added in the findAndInit() method.

  Overrides:
    `createLayoutManager` in class `BasicMapPanel`

### addMapBeanToPanel

    protected final void addMapBeanToPanel(MapBean map)

  Description copied from class: `BasicMapPanel`
  Position the map bean in this panel according to the layout manger. Defaults to BorderLayout.CENTER.

  Overrides:
    `addMapBeanToPanel` in class `BasicMapPanel`

### createComponents

    protected void createComponents()

  Description copied from class: `BasicMapPanel`
  The constructor calls this method that creates the MapHandler and MapBean, and then tells the PropertyHandler to create the components described in its properties. This method calls getMapHandler() and getMapBean(). If the PropertyHandler is not null, it will be called to created components based on its properties, and those components will be added to the MapHandler in this MapPanel.

  Overrides:
    `createComponents` in class `BasicMapPanel`

### addMapPanelChild

    protected void addMapPanelChild(MapPanelChild mpc)

  Add a child to the MapPanel.

  Overrides:
    `addMapPanelChild` in class `BasicMapPanel`

### getBackgroundComponent

    public javax.swing.JComponent getBackgroundComponent()

  Description copied from interface: `DockPanel`
  Get the background component.

  Specified by:
    `getBackgroundComponent` in interface `DockPanel`

### setBackgroundComponent

    public void setBackgroundComponent(javax.swing.JComponent back)

  Description copied from interface: `DockPanel`
  Set the background component.

  Specified by:
    `setBackgroundComponent` in interface `DockPanel`

### setConstraint

    public void setConstraint(javax.swing.JComponent child,
                              DockConstraint c)

  Description copied from interface: `DockPanel`
  Set the constraint on the given child.

  Specified by:
    `setConstraint` in interface `DockPanel`

### getConstraint

    public DockConstraint getConstraint(javax.swing.JComponent child)

  Description copied from interface: `DockPanel`
  Get the constraint on the given child.

  Specified by:
    `getConstraint` in interface `DockPanel`

### removeConstraint

    public void removeConstraint(javax.swing.JComponent child)

  Description copied from interface: `DockPanel`
  Remove a constraint on a child.

  Specified by:
    `removeConstraint` in interface `DockPanel`

### setPreferredHeight

    public void setPreferredHeight(javax.swing.JComponent child,
                                   int i)

  Description copied from interface: `DockPanel`
  Set the childs preferred height.

  Specified by:
    `setPreferredHeight` in interface `DockPanel`

### setPreferredWidth

    public void setPreferredWidth(javax.swing.JComponent child,
                                  int i)

  Description copied from interface: `DockPanel`
  Set the childs preferred width.

  Specified by:
    `setPreferredWidth` in interface `DockPanel`

### setCanOcclude

    public void setCanOcclude(javax.swing.JComponent child,
                              boolean b)

  Description copied from interface: `DockPanel`
  Set that the given child can sit in front of the background component, without forcing the background component to be resized to make room.

  Specified by:
    `setCanOcclude` in interface `DockPanel`

### setCanTransparent

    public void setCanTransparent(javax.swing.JComponent child,
                                  boolean b)

  Description copied from interface: `DockPanel`
  Set the child component to have a transparent background.

  Specified by:
    `setCanTransparent` in interface `DockPanel`

### setCanResize

    public void setCanResize(javax.swing.JComponent child,
                             boolean b)

  Description copied from interface: `DockPanel`
  Set that the child component can be user-resized.

  Specified by:
    `setCanResize` in interface `DockPanel`

### setCanTab

    public void setCanTab(javax.swing.JComponent child,
                          boolean b)

  Description copied from interface: `DockPanel`
  Set that the child component can be tabbed up, if docked in the same location as other tab-able components.

  Specified by:
    `setCanTab` in interface `DockPanel`

### setTabName

    public void setTabName(javax.swing.JComponent child,
                           java.lang.String tabName)

  Description copied from interface: `DockPanel`
  Set the name of the tab to use when the component is tabbed (if it can tab). If unspecified, defaults to Component.getName()

  Specified by:
    `setTabName` in interface `DockPanel`

### setCanExternalFrame

    public void setCanExternalFrame(javax.swing.JComponent child,
                                    boolean b)

  Description copied from interface: `DockPanel`
  Set that the child can be become an external frame.

  Specified by:
    `setCanExternalFrame` in interface `DockPanel`

### setCanInternalFrame

    public void setCanInternalFrame(javax.swing.JComponent child,
                                    boolean b)

  Description copied from interface: `DockPanel`
  Set that the child can be become an internal frame.

  Specified by:
    `setCanInternalFrame` in interface `DockPanel`

### setCanClose

    public void setCanClose(javax.swing.JComponent child,
                            boolean b)

  Description copied from interface: `DockPanel`
  Set that the child can be closed.

  Specified by:
    `setCanClose` in interface `DockPanel`

### setCanDockNorth

    public void setCanDockNorth(javax.swing.JComponent child,
                                boolean b)

  Description copied from interface: `DockPanel`
  Set that the child can dock on the top-level north.

  Specified by:
    `setCanDockNorth` in interface `DockPanel`

### setCanDockSouth

    public void setCanDockSouth(javax.swing.JComponent child,
                                boolean b)

  Description copied from interface: `DockPanel`
  Set that the child can dock on the top-level south.

  Specified by:
    `setCanDockSouth` in interface `DockPanel`

### setCanDockEast

    public void setCanDockEast(javax.swing.JComponent child,
                               boolean b)

  Description copied from interface: `DockPanel`
  Set that the child can dock on the top-level east.

  Specified by:
    `setCanDockEast` in interface `DockPanel`

### setCanDockWest

    public void setCanDockWest(javax.swing.JComponent child,
                               boolean b)

  Description copied from interface: `DockPanel`
  Set that the child can dock on the top-level west.

  Specified by:
    `setCanDockWest` in interface `DockPanel`

### dockNorth

    public void dockNorth(javax.swing.JComponent child)

  Description copied from interface: `DockPanel`
  Dock child on the DockPanel.

  Specified by:
    `dockNorth` in interface `DockPanel`

### dockNorth

    public void dockNorth(javax.swing.JComponent child,
                          int idx)

  Description copied from interface: `DockPanel`
  Dock the given child into the given position on the DockPanel

  Specified by:
    `dockNorth` in interface `DockPanel`

### dockSouth

    public void dockSouth(javax.swing.JComponent child)

  Description copied from interface: `DockPanel`
  Dock child on the DockPanel.

  Specified by:
    `dockSouth` in interface `DockPanel`

### dockSouth

    public void dockSouth(javax.swing.JComponent child,
                          int idx)

  Description copied from interface: `DockPanel`
  Dock the given child into the given position on the DockPanel

  Specified by:
    `dockSouth` in interface `DockPanel`

### dockEast

    public void dockEast(javax.swing.JComponent child)

  Description copied from interface: `DockPanel`
  Dock child on the DockPanel.

  Specified by:
    `dockEast` in interface `DockPanel`

### dockEast

    public void dockEast(javax.swing.JComponent child,
                         int idx)

  Description copied from interface: `DockPanel`
  Dock the given child into the given position on the DockPanel

  Specified by:
    `dockEast` in interface `DockPanel`

### dockWest

    public void dockWest(javax.swing.JComponent child)

  Description copied from interface: `DockPanel`
  Dock child on the DockPanel.

  Specified by:
    `dockWest` in interface `DockPanel`

### dockWest

    public void dockWest(javax.swing.JComponent child,
                         int idx)

  Description copied from interface: `DockPanel`
  Dock the given child into the given position on the DockPanel

  Specified by:
    `dockWest` in interface `DockPanel`

### dockSomewhere

    public void dockSomewhere(javax.swing.JComponent child)

  Description copied from interface: `DockPanel`
  Dock the given child somewhere on the DockPanel.

  Specified by:
    `dockSomewhere` in interface `DockPanel`

### dock

    public void dock(javax.swing.JComponent outter,
                     javax.swing.JComponent inner)

  Description copied from interface: `DockPanel`
  Dock the given child onto the given parent, which is itself a child.

  Specified by:
    `dock` in interface `DockPanel`

### dock

    public void dock(javax.swing.JComponent outter,
                     javax.swing.JComponent inner,
                     int idx)

  Description copied from interface: `DockPanel`
  Dock the given child onto the given parent, which is itself a child.

  Specified by:
    `dock` in interface `DockPanel`

### internalFrame

    public void internalFrame(javax.swing.JComponent child)

  Description copied from interface: `DockPanel`
  Set the component to an internal frame

  Specified by:
    `internalFrame` in interface `DockPanel`

### externalFrame

    public void externalFrame(javax.swing.JComponent child)

  Description copied from interface: `DockPanel`
  Set the component to an external frame

  Specified by:
    `externalFrame` in interface `DockPanel`

### add

    public java.awt.Component add(java.awt.Component comp)

  We need to handle adding the component specially.

  Overrides:
    `add` in class `java.awt.Container`

### add

    public void add(java.awt.Component comp,
                    java.lang.Object constraints)

  We need to handle adding the component specially.

  Overrides:
    `add` in class `java.awt.Container`

### remove

    public void remove(java.awt.Component comp)

  We need to handle removing the component specially.

  Overrides:
    `remove` in class `java.awt.Container`

### removeAll

    public void removeAll()

  We need to handle removing all components specially.

  Overrides:
    `removeAll` in class `java.awt.Container`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details